%define main_version 0.3
%define pkg_version %{main_version}.7
%define xsp_version 0.4
%define module_path %_libdir/apache2-extramodules-2.0.47
%define module_name mod_mono

Summary:	Mono module for Apache 2
Name:		apache2-mod_mono
Version:	0.3.7
Release:	3mdk
License:	Apache License
Group:		System/Servers
URL:		http://www.apacheworld.org/modmono
Source0:	http://www.apacheworld.org/modmono/%{module_name}-%{pkg_version}.tar.bz2
Source1:	http://go-mono.com/archive/xsp-%{xsp_version}.tar.bz2
Source2:	91_mod_mono.conf
BuildRoot:	%_tmppath/%name-root
BuildRequires:	apache2-devel
BuildRequires:	mono-devel
BuildRequires:	autoconf2.5
Requires:	apache2

%description
This is an experimental module that allows you to run ASP.NET
pages on Unix with Apache and Mono.
It includes some aspx C# scripts, and after you install this rpm
and restart apache2, http://localhost/mono/index.aspx should
work and display a list of available test aspx C# scripts.

%prep
%setup -q -n %{module_name}-%{main_version} -a 1

%build
# Build sample ASP.NET pages from xsp distribution
pushd xsp-%{xsp_version}
make
make install
popd

# Build Apache Module
WANT_AUTOCONF_2_5=1 autoconf
%configure --with-apxs=/usr/sbin/apxs2
%make

# Build Mono DLL
pushd src
make -f makedll.mak
popd

%install
%__install -d 755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%__install -d 755 $RPM_BUILD_ROOT%{module_path}
%__install -d 755 $RPM_BUILD_ROOT%_var/www/mono
%__install -d 755 $RPM_BUILD_ROOT%_var/www/.wapi

%__cp %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
%__install src/.libs/libmod_mono.so $RPM_BUILD_ROOT%{module_path}
%__install src/ModMono.dll $RPM_BUILD_ROOT%{_libdir}
%__cp -r xsp-%{xsp_version}/server/test/* $RPM_BUILD_ROOT%_var/www/mono

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL NEWS README
%{_sysconfdir}/httpd/conf.d/*
%{_libdir}/ModMono.dll
%{module_path}/libmod_mono.so
%defattr(-,apache,apache)
%dir %{_var}/www/mono
%{_var}/www/mono/
%dir %{_var}/www/.wapi
%{_var}/www/.wapi/

%changelog
* Tue Aug 05 2003 Marcel Pol <mpol@gmx.net> 0.3.7-3mdk
- build for apache 2.0.47
- own dir

* Sat Jun 07 2003 Marcel Pol <mpol@gmx.net> 0.3.7-2mdk
- build for apache 2.0.46

* Tue May 13 2003 Marcel Pol <mpol@gmx.net> 0.3.7-1mdk
- 0.3.7

* Fri Apr 25 2003 Marcel Pol <mpol@gmx.net> 0.3.6-2mdk
- autoconf2.5
- build for apache 2.0.45

* Sun Mar 23 2003 Marcel Pol <mpol@gmx.net> 0.3.6-1mdk
- src.rpm from Quel Qun <kelk1@hotmail.com>
- more informative description

* Mon Feb 03 2003 Daniel Lopez Ridruejo <daniel @ rawbyte.com>
- Use --with-apxs
- License is Apache-style
- Change ownership to apache user
- Create .wapi directory
* Mon Feb 03 2003 David Hollis <dhollis@davehollis.com>
- 0.3.4
* Wed Jan 15 2003 David Hollis <dhollis@davehollis.com>
- Initial spec

